"use strict";var _typeof=typeof Symbol==="function"&&typeof Symbol.iterator==="symbol"?function(obj){return typeof obj}:function(obj){return obj&&typeof Symbol==="function"&&obj.constructor===Symbol&&obj!==Symbol.prototype?"symbol":typeof obj};var HandlebarsHelpers={addAttr:function addAttr(attributes,default_attributes){if(attributes||default_attributes){var attrData=[];default_attributes=default_attributes&&typeof default_attributes==="string"?JSON.parse(default_attributes):{};var class_names=attributes?attributes.className||attributes["class"]||"":"";class_names+=default_attributes.hasOwnProperty("class")?" "+default_attributes["class"]:"";attributes=jQuery.extend({},default_attributes,attributes);attributes["class"]=class_names;loop(attributes,function(key,value){if(key&&value!==undefined){if(key==="style"){var css_values=[];loop(value,function(css_prop,css_value){css_values.push(css_prop+":"+css_value+";")});value=css_values.join("")}if(typeof value==="string"){value='"'+value.replace(/"/g,'\\"')+'"'}attrData.push(key+"="+value)}});return new Handlebars.SafeString(attrData.join(" "))}},selectedClass:function selectedClass(selected,selectedClassName){if(selected===true){return selectedClassName}else{return""}},include:function include(template_name,context){return new Handlebars.SafeString(Handlebars.templates[template_name](context))},math:function math(param1,operation,param2){var lvalue=parseFloat(String(param1));var rvalue=parseFloat(String(param2));return{"+":lvalue+rvalue,"-":lvalue-rvalue,"*":lvalue*rvalue,"/":lvalue/rvalue,"%":lvalue%rvalue}[operation]},i18N:function i18N(i18nKey){var subs=Array.prototype.slice.call(arguments);subs=subs.splice(1,subs.length-2);return getMessageForKey(i18nKey,subs)},get:function get(object,path){return getValueFromJSON(object,path)},ifCond:function ifCond(param1,operator,param2,options){if(evaluateLogic(param1,operator,param2)){return options.fn(this)}else{return options.inverse(this)}},mIf:function mIf(){var arr=[true,"and",true];var args_len=arguments.length-1;var options=arguments[args_len];for(var i=0;i<args_len;i++){if(i===0){arr[0]=arguments[i]}else if(i%2===1){arr[1]=arguments[i]}else{arr[2]=arguments[i];arr[0]=evaluateLogic(arr[0],arr[1],arr[2])}}if(arr[0]){return options.fn(this)}else{return options.inverse(this)}},eIf:function eIf(param1,operator,param2){return evaluateLogic(param1,operator,param2)},global:function global(global_letiable){return getValueFromJSON(window,global_letiable)},loop:function loop(looper,options){var structure="";for(var i=0;i<looper.length;i++){structure+=options.fn(looper[i])}return structure},append:function append(){var args=Array.prototype.slice.call(arguments);args.pop();return args.map(function(arg){if((typeof arg==="undefined"?"undefined":_typeof(arg))==="object"){return JSON.stringify(arg)}return arg}).join("")},make_json:function make_json(str){return JSON.parse(str)},fn_call:function fn_call(fn){return call_fn.apply(this,Array.prototype.slice.call(arguments).slice(0,-1))},loopObject:function loopObject(looper,options){var structure="";loop(looper,function(key,value){structure+=options.fn({key:key,value:value})});return structure},iterate_range:function iterate_range(start,step,end,options){var str_buf="";for(var i=start;i<=end;i+=step){str_buf+=options.fn(i)}return str_buf},console_log:function console_log(){console.log(Array.prototype.slice.call(arguments).slice(0,-1))}};function handleForm(form){if(form.submitting){return}else{form.submitting=true}var hasFiles=!!form.querySelector('input[type="file"]');var apiData=void 0;if(hasFiles){apiData=new FormData(form)}else{var formData=jQuery(form).serializeArray();apiData={};jQuery.each(formData,function(i,fieldData){apiData[fieldData.name]=fieldData.value})}var format_fn=form.getAttribute("format-data");if(format_fn){apiData=call_fn(format_fn,apiData)}if(apiData===false){return}RestAPI[form.getAttribute("api-method")]({url:form.action.split(window.location.host)[1],data:apiData,successMessage:form.getAttribute("success-message"),handleError:form.getAttribute("handle-error")!=="false",success:function success(data){if(form.getAttribute("form-clear")==="true"){form.reset()}jQuery(form).trigger("success",data)},failure:function failure(message){jQuery(form).trigger("failure",message)}})}Adhara.onInit(function(){Handlebars.registerHelper(HandlebarsHelpers);jQuery(document).on("submit","form.api-form",function(event){event.preventDefault();handleForm(this)});jQuery(document).on("success","form.dialog-form",function(){this.close.click()})});function evaluateLogic(param1,operator,param2){if(operator==="in"){return param2&&param2.indexOf(param1)!==-1}else if(operator==="not_in"){return param2&&param2.indexOf(param1)===-1}else if(operator==="contains"){return param1&&param1.indexOf(param2)!==-1}else if(operator==="not_contains"){return param1&&param1.indexOf(param2)===-1}else if(operator==="has"){return param1&&param1.hasOwnProperty(param2)}else{return{"||":param1||param2,"&&":param1&&param2,"|":param1|param2,"&":param1&param2,"==":param1==param2,"===":param1===param2,"!=":param1!=param2,"!==":param1!==param2,">":param1>param2,"<":param1<param2,">=":param1>=param2,"<=":param1<=param2,equals:param1==param2,and:param1&&param2,or:param1||param2}[operator]}}function getValueFromJSON(object,path,identifier){try{if(!path){return object}var keys=path.split(".");for(var i=0;i<keys.length;i++){var key_in=keys[i];if(key_in.indexOf("[")!==-1){var arr=key_in.split("[");var arrName=arr[0];var index=arr[1].split("]")[0];if(isNaN(index)){var rite=object[arrName];var separator=index.substring(identifier.length,index.length);var formattedVal="";for(var j=0;j<rite.length;j++){if(j>0){formattedVal+=separator}formattedVal+=getValueFromJSON(rite[j],path.split(".").splice(i+1).join("."),identifier)}object=formattedVal}else{object=object[arrName][index]}break}else{object=object[key_in]}}return object}catch(e){return undefined}}function setValueToJson(object,path,value){var keys=path.split(".");loop(keys,function(i,key){if(i+1<keys.length){if(!object.hasOwnProperty(key)){object[key]={}}object=object[key]}else{object[key]=value}})}function call_fn(fn){if(!fn){return}var args=Array.prototype.slice.call(arguments);args.splice(0,1);if(typeof fn==="function"){return fn.apply(fn,args)}else{try{fn=getValueFromJSON(window,fn);if(fn&&fn!==window){return fn.apply(window[fn],args)}}catch(e){if(e.name==="TypeError"&&e.message.indexOf("is not a function")!==-1){throw new Error("error executing function : "+fn)}else{throw e}}}}function call_fn_or_def(fn){var args=Array.prototype.slice.call(arguments);var def_fn=args.pop();if(!(typeof def_fn==="function"||typeof window[def_fn]==="function")){args.push(def_fn);def_fn=undefined}if(fn){return call_fn.apply(call_fn,args)}else if(def_fn){args[0]=def_fn;return call_fn.apply(call_fn,args)}}function loop(object,cbk,reverseIterate){var i=void 0,loop_size=void 0;if(object instanceof Array){loop_size=object.length;if(reverseIterate){for(i=loop_size-1;i>=0;i--){if(cbk(i,object[i])===false){break}}}else{for(i=0;i<loop_size;i++){if(cbk(i,object[i])===false){break}}}}else{var keys=Object.keys(object);loop_size=keys.length;for(i=0;i<loop_size;i++){if(cbk(keys[i],object[keys[i]])===false){break}}}}var HandlebarUtils={};(function(){var preCompiledCache={};HandlebarUtils.execute=function(template_or_template_string,context,cache){var template=Handlebars.templates[template_or_template_string];if(!template){if(cache!==false){template=preCompiledCache[template_or_template_string];if(!template){template=preCompiledCache[template_or_template_string]=Handlebars.compile(template_or_template_string)}}else{template=Handlebars.compile(template_or_template_string)}}return template(context)}})();"use strict";var _marked=regeneratorRuntime.mark(range);function range(start,stop){var step=arguments.length>2&&arguments[2]!==undefined?arguments[2]:1;var i;return regeneratorRuntime.wrap(function range$(_context){while(1){switch(_context.prev=_context.next){case 0:i=start;case 1:if(!(i+step<=stop)){_context.next=7;break}_context.next=4;return i;case 4:i+=step;_context.next=1;break;case 7:case"end":return _context.stop()}}},_marked,this)}"use strict";var _createClass=function(){function defineProperties(target,props){for(var i=0;i<props.length;i++){var descriptor=props[i];descriptor.enumerable=descriptor.enumerable||false;descriptor.configurable=true;if("value"in descriptor)descriptor.writable=true;Object.defineProperty(target,descriptor.key,descriptor)}}return function(Constructor,protoProps,staticProps){if(protoProps)defineProperties(Constructor.prototype,protoProps);if(staticProps)defineProperties(Constructor,staticProps);return Constructor}}();var _slicedToArray=function(){function sliceIterator(arr,i){var _arr=[];var _n=true;var _d=false;var _e=undefined;try{for(var _i=arr[Symbol.iterator](),_s;!(_n=(_s=_i.next()).done);_n=true){_arr.push(_s.value);if(i&&_arr.length===i)break}}catch(err){_d=true;_e=err}finally{try{if(!_n&&_i["return"])_i["return"]()}finally{if(_d)throw _e}}return _arr}return function(arr,i){if(Array.isArray(arr)){return arr}else if(Symbol.iterator in Object(arr)){return sliceIterator(arr,i)}else{throw new TypeError("Invalid attempt to destructure non-iterable instance")}}}();function _classCallCheck(instance,Constructor){if(!(instance instanceof Constructor)){throw new TypeError("Cannot call a class as a function")}}var AdharaRouter=null;(function(){"use strict";var registeredUrlPatterns={};var queryParams={};var pathParams={};var historyStack=[];var currentUrl=undefined;var currPageName=undefined;var listeners={};var middlewares=[];function getFullUrl(){return window.location.href}function getBaseUrl(){return getFullUrl().split("?")[0]}function getPathName(){return AdharaRouter.transformURL(getBaseUrl().split("://")[1].substring(window.location.host.length))}function getFullPath(){return"/"+getFullUrl().split("://")[1].substring(window.location.host.length+1)}function getSearchString(){return getFullUrl().split("?")[1]}function isCurrentPath(new_path){function stripSlash(path){if(path.indexOf("/")===0){return path.substring(1)}return path}return stripSlash(getFullPath())===stripSlash(new_path)}function callMiddlewares(params,proceed){var i=0;(function _proceed(){var middleware_fn=middlewares[i++];if(middleware_fn){call_fn(middleware_fn,params,_proceed)}else{proceed()}})()}function matchAndCall(){var _this=this;var path=getPathName();var matchFound=false;loop(registeredUrlPatterns,function(regex,opts){if(!matchFound){regex=new RegExp(regex);if(regex.test(path)){matchFound=true;var params=regex.exec(path);params.splice(0,1);if(opts&&opts.fn){var _pathParams={};var _iteratorNormalCompletion=true;var _didIteratorError=false;var _iteratorError=undefined;try{for(var _iterator=params.entries()[Symbol.iterator](),_step;!(_iteratorNormalCompletion=(_step=_iterator.next()).done);_iteratorNormalCompletion=true){var _step$value=_slicedToArray(_step.value,2),index=_step$value[0],param=_step$value[1];_pathParams[opts.path_params[index]]=param}}catch(err){_didIteratorError=true;_iteratorError=err}finally{try{if(!_iteratorNormalCompletion&&_iterator.return){_iterator.return()}}finally{if(_didIteratorError){throw _iteratorError}}}callMiddlewares({page_name:opts.page_name,path:path,query_params:getQueryParams(),path_params:_pathParams},function(){pathParams=_pathParams;currPageName=opts.page_name;currentUrl=getFullUrl();fetchQueryParams();params.push(queryParams);if(opts.fn.constructor instanceof AdharaView.constructor){Adhara.onRoute(opts.fn,params)}else{opts.fn.apply(_this,params)}})}}}});return matchFound}var curr_path=void 0;function updateHistoryStack(){if(curr_path){historyStack.push(curr_path)}curr_path=getFullPath()}updateHistoryStack();var settingURL=false;function updateParams(){if(getFullUrl()!==currentUrl){currentUrl=getFullUrl();fetchQueryParams()}}function getQueryParams(){var qp={};if(getSearchString()){loop(getSearchString().split("&"),function(i,paramPair){paramPair=paramPair.split("=");qp[decodeURIComponent(paramPair[0])]=decodeURIComponent(paramPair[1])})}else{qp={}}return qp}function fetchQueryParams(){queryParams=getQueryParams()}function generateCurrentUrl(){var url=getPathName();var params=[];loop(queryParams,function(key,value){params.push(key+"="+value)});if(params.length){url+="?"+params.join("&")}return url}function _route(route_type,route_options){if(!route_type||route_type===this.RouteTypes.SET){this.setURL(generateCurrentUrl())}else if(route_type===this.RouteTypes.NAVIGATE){this.navigateTo(generateCurrentUrl(),route_options&&route_options.force||false)}else if(route_type===this.RouteTypes.OVERRIDE){this.overrideURL(generateCurrentUrl())}else if(route_type===this.RouteTypes.UPDATE){this.updateURL(generateCurrentUrl())}}var Router=function(){function Router(){_classCallCheck(this,Router)}_createClass(Router,null,[{key:"transformURL",value:function transformURL(url){return url}},{key:"register_one",value:function register_one(pattern,page_name,fn){var path_params=[];var regex=/{{([a-zA-Z]*)}}/g;var match=regex.exec(pattern);while(match!=null){path_params.push(match[1]);match=regex.exec(pattern)}pattern=pattern.replace(new RegExp("\\{\\{[a-zA-Z]*\\}\\}","g"),"");pattern="^"+this.transformURL(pattern.substring(1));pattern=pattern.replace(/[?]/g,"\\?");registeredUrlPatterns[pattern]={page_name:page_name,fn:fn,path_params:path_params}}},{key:"deRegister",value:function deRegister(regex){registeredUrlPatterns[regex]=undefined}},{key:"register",value:function register(list){var _iteratorNormalCompletion2=true;var _didIteratorError2=false;var _iteratorError2=undefined;try{for(var _iterator2=list[Symbol.iterator](),_step2;!(_iteratorNormalCompletion2=(_step2=_iterator2.next()).done);_iteratorNormalCompletion2=true){var conf=_step2.value;this.register_one(conf.url,conf.view_name,conf.view)}}catch(err){_didIteratorError2=true;_iteratorError2=err}finally{try{if(!_iteratorNormalCompletion2&&_iterator2.return){_iterator2.return()}}finally{if(_didIteratorError2){throw _iteratorError2}}}}},{key:"configure",value:function configure(router_configuration){if(router_configuration.routes){Router.register(router_configuration.routes)}if(router_configuration.on_route_listeners){for(var listener_name in router_configuration.on_route_listeners){if(router_configuration.on_route_listeners.hasOwnProperty(listener_name)){Router.onRoute(listener_name,router_configuration.on_route_listeners[listener_name])}}}if(router_configuration.middlewares){var _iteratorNormalCompletion3=true;var _didIteratorError3=false;var _iteratorError3=undefined;try{for(var _iterator3=router_configuration.middlewares[Symbol.iterator](),_step3;!(_iteratorNormalCompletion3=(_step3=_iterator3.next()).done);_iteratorNormalCompletion3=true){var middleware_fn=_step3.value;Router.registerMiddleware(middleware_fn)}}catch(err){_didIteratorError3=true;_iteratorError3=err}finally{try{if(!_iteratorNormalCompletion3&&_iterator3.return){_iterator3.return()}}finally{if(_didIteratorError3){throw _iteratorError3}}}}}},{key:"onRoute",value:function onRoute(listener_name,listener_fn){listeners[listener_name]=listener_fn}},{key:"offRouteListener",value:function offRouteListener(listener_name){listeners[listener_name]=undefined}},{key:"registerMiddleware",value:function registerMiddleware(middleware_fn){if(typeof middleware_fn==="function"){middlewares.push(middleware_fn)}}},{key:"route",value:function route(){if(!settingURL){var matchFound=matchAndCall();if(!matchFound){throw new Error("No route registered for this url : "+getPathName())}}else{settingURL=false}loop(listeners,function(listener_name,listener_fn){call_fn(listener_fn)})}},{key:"getCurrentPageName",value:function getCurrentPageName(){return currPageName}},{key:"getCurrentURL",value:function getCurrentURL(){getFullPath()}},{key:"go",value:function go(url){if(isCurrentPath(url)){return false}history.pushState({__router__:true},parent.document.title,url);var state=history.state;updateHistoryStack();pathParams={};if(state!==undefined&&state!==""){if(state.__router__===true||state.data.__router__===true){this.route()}}return true}},{key:"setURL",value:function setURL(url){url=this.transformURL(url);settingURL=true;var gone=this.go(url);if(!gone){settingURL=false}}},{key:"overrideURL",value:function overrideURL(url){url=this.transformURL(url);history.replaceState({__router__:true},parent.document.title,url)}},{key:"updateURL",value:function updateURL(url){settingURL=true;this.overrideURL(url)}},{key:"navigateTo",value:function navigateTo(url,force){url=this.transformURL(url);if(!isCurrentPath(url)){var gone=this.go(url);if(gone){fetchQueryParams()}}else if(force){this.route()}}},{key:"goBack",value:function goBack(backwardURL){if(!backwardURL){backwardURL=historyStack.slice(-1)[0];if(!backwardURL){return false}}backwardURL=this.transformURL(backwardURL);var backwardIndex=historyStack.lastIndexOf(backwardURL);if(backwardIndex===-1){this.navigateTo(backwardURL)}else{var stackLen=historyStack.length;var negativeIndex=backwardIndex-stackLen;historyStack.splice(stackLen+negativeIndex,-negativeIndex);history.go(negativeIndex)}}},{key:"peekStack",value:function peekStack(){return historyStack.slice()}},{key:"getQueryParam",value:function getQueryParam(param_name){updateParams();return queryParams[param_name]}},{key:"getPathParam",value:function getPathParam(param_name){return pathParams[param_name]}},{key:"updateQueryParams",value:function updateQueryParams(new_params,drop_existing,route_type,route_options){if(!route_type){route_type=this.RouteTypes.NAVIGATE}if(!Object.keys(new_params).length){return}if(drop_existing){queryParams=new_params}else{Object.assign(queryParams,new_params)}_route(route_type,route_options)}},{key:"removeQueryParams",value:function removeQueryParams(param_keys,route_type,route_options){loop(param_keys,function(idx,key){delete queryParams[key]});_route(route_type,route_options)}},{key:"getURLPatternByPageName",value:function getURLPatternByPageName(page_name){var matched_pattern=null;loop(registeredUrlPatterns,function(pattern,options){if(options.page_name===page_name){matched_pattern=pattern;return false}});return matched_pattern}}]);return Router}();AdharaRouter=Router;window.onpopstate=function(){if(currPageName){var url_pattern=Router.getURLPatternByPageName(currPageName);if(!(url_pattern&&new RegExp(url_pattern).test(getPathName()))){currPageName=undefined}}};AdharaRouter.RouteTypes=Object.freeze({NAVIGATE:"navigate",OVERRIDE:"override",SET:"set",UPDATE:"update"});AdharaRouter.enableAllAnchors=true;AdharaRouter.listen=function(){function getRoutingElement(event){return event.target.nodeName!=="A"?event.currentTarget:event.target}function hasAttribute(elem,attribute_name){return elem.hasAttribute(attribute_name)}jQuery(document).on("click","a",function(e){var re=getRoutingElement(e);if((AdharaRouter.enableAllAnchors||hasAttribute(re,"route"))&&hasAttribute(re,"href")){var url=this.getAttribute("href").trim();if(url.indexOf("javascript")!==-1){return}if(url){e.preventDefault();e.stopPropagation()}var go_back=this.getAttribute("data-back");var force=this.getAttribute("data-force")!=="false";if(go_back){return AdharaRouter.goBack(url)}AdharaRouter.navigateTo(url,force)}})}})();"use strict";var _createClass=function(){function defineProperties(target,props){for(var i=0;i<props.length;i++){var descriptor=props[i];descriptor.enumerable=descriptor.enumerable||false;descriptor.configurable=true;if("value"in descriptor)descriptor.writable=true;Object.defineProperty(target,descriptor.key,descriptor)}}return function(Constructor,protoProps,staticProps){if(protoProps)defineProperties(Constructor.prototype,protoProps);if(staticProps)defineProperties(Constructor,staticProps);return Constructor}}();function _classCallCheck(instance,Constructor){if(!(instance instanceof Constructor)){throw new TypeError("Cannot call a class as a function")}}var AdharaApp=function(){function AdharaApp(){_classCallCheck(this,AdharaApp)}_createClass(AdharaApp,[{key:"toast",value:function toast(title,content,type){AdharaDefaultToaster.make(title,content,type)}},{key:"name",get:function get(){return"Coin Connect"}},{key:"detailedName",get:function get(){return{first:"Coin",last:"Connect"}}},{key:"tagLine",get:function get(){}},{key:"containerView",get:function get(){}},{key:"config",get:function get(){}},{key:"routerConfiguration",get:function get(){return{routes:[],on_route_listeners:{},middlewares:[]}}},{key:"DOMSelector",get:function get(){return"app"}},{key:"apiServerURL",get:function get(){return"/api"}},{key:"webSocketConfig",get:function get(){}}]);return AdharaApp}();"use strict";var _createClass=function(){function defineProperties(target,props){for(var i=0;i<props.length;i++){var descriptor=props[i];descriptor.enumerable=descriptor.enumerable||false;descriptor.configurable=true;if("value"in descriptor)descriptor.writable=true;Object.defineProperty(target,descriptor.key,descriptor)}}return function(Constructor,protoProps,staticProps){if(protoProps)defineProperties(Constructor.prototype,protoProps);if(staticProps)defineProperties(Constructor,staticProps);return Constructor}}();function _classCallCheck(instance,Constructor){if(!(instance instanceof Constructor)){throw new TypeError("Cannot call a class as a function")}}var Adhara=null;(function(){var AdharaBase=function(){function AdharaBase(){_classCallCheck(this,AdharaBase)}_createClass(AdharaBase,[{key:"init",value:function init(app){callOnInitListeners();if(app){this.app=new app;this.createContainer()}else{AdharaRouter.route()}}},{key:"createContainer",value:function createContainer(){if(this.app.containerView){this.container=new this.app.containerView;Adhara.createView(this.container)}AdharaRouter.configure(this.app.routerConfiguration);AdharaRouter.listen();AdharaRouter.route()}}]);return AdharaBase}();Adhara=new AdharaBase;Adhara.getView=function(viewClass,parentViewInstance){return Adhara.instances[viewClass.constructor.name]||new viewClass(parentViewInstance)};Adhara.createView=function(adhara_view_instance){adhara_view_instance.fetchData()};Adhara.onRoute=function(view_class){Adhara.createView(Adhara.getView(view_class,Adhara.container))};var on_init_listeners=[];Adhara.onInit=function(fn){on_init_listeners.push(fn)};function callOnInitListeners(){var _iteratorNormalCompletion=true;var _didIteratorError=false;var _iteratorError=undefined;try{for(var _iterator=on_init_listeners[Symbol.iterator](),_step;!(_iteratorNormalCompletion=(_step=_iterator.next()).done);_iteratorNormalCompletion=true){var on_init_listener=_step.value;on_init_listener()}}catch(err){_didIteratorError=true;_iteratorError=err}finally{try{if(!_iteratorNormalCompletion&&_iterator.return){_iterator.return()}}finally{if(_didIteratorError){throw _iteratorError}}}}Adhara.instances={}})();(function(){var template=Handlebars.template,templates=Handlebars.templates=Handlebars.templates||{};templates["adhara-card-content"]=template({compiler:[7,">= 4.0.0"],main:function(container,depth0,helpers,partials,data){var helper,alias1=depth0!=null?depth0:container.nullContext||{},alias2=helpers.helperMissing,alias3="function",alias4=container.escapeExpression;return'<div class="card-heading">\r\n    '+alias4((helper=(helper=helpers.heading||(depth0!=null?depth0.heading:depth0))!=null?helper:alias2,typeof helper===alias3?helper.call(alias1,{name:"heading",hash:{},data:data}):helper))+'\r\n</div>\r\n<div class="card-content">\r\n    '+alias4((helper=(helper=helpers.content||(depth0!=null?depth0.content:depth0))!=null?helper:alias2,typeof helper===alias3?helper.call(alias1,{name:"content",hash:{},data:data}):helper))+"\r\n</div>"},useData:true});templates["adhara-card"]=template({1:function(container,depth0,helpers,partials,data,blockParams,depths){return'    <div class="card-md animated">\r\n        '+container.escapeExpression((helpers.include||depth0&&depth0.include||helpers.helperMissing).call(depth0!=null?depth0:container.nullContext||{},depths[1]!=null?depths[1].template:depths[1],blockParams[0][0],{name:"include",hash:{},data:data,blockParams:blockParams}))+"\r\n    </div>\r\n"},compiler:[7,">= 4.0.0"],main:function(container,depth0,helpers,partials,data,blockParams,depths){var stack1;return'<h3 class="adhara-card-title">'+container.escapeExpression(container.lambda((stack1=depth0!=null?depth0.config:depth0)!=null?stack1.title:stack1,depth0))+"</h3>\r\n"+((stack1=helpers.each.call(depth0!=null?depth0:container.nullContext||{},depth0!=null?depth0.data:depth0,{name:"each",hash:{},fn:container.program(1,data,2,blockParams,depths),inverse:container.noop,data:data,blockParams:blockParams}))!=null?stack1:"")},useData:true,useDepths:true,useBlockParams:true});templates["adhara-dialog"]=template({1:function(container,depth0,helpers,partials,data){var stack1;return'                    <button type="button" class="btn btn-secondary confirm-btn" data-dismiss="modal">'+container.escapeExpression(container.lambda((stack1=(stack1=depth0!=null?depth0.data:depth0)!=null?stack1.confirmOptions:stack1)!=null?stack1.text:stack1,depth0))+"</button>\r\n"},compiler:[7,">= 4.0.0"],main:function(container,depth0,helpers,partials,data){var stack1,helper,alias1=depth0!=null?depth0:container.nullContext||{},alias2=container.escapeExpression,alias3=container.lambda;return'<div class="modal fade" id="'+alias2((helper=(helper=helpers.modalId||(depth0!=null?depth0.modalId:depth0))!=null?helper:helpers.helperMissing,typeof helper==="function"?helper.call(alias1,{name:"modalId",hash:{},data:data}):helper))+'" tabindex="-1" role="dialog">\r\n    <div class="modal-dialog" role="document">\r\n        <div class="modal-content">\r\n            <div class="modal-header">\r\n                <h5 class="modal-title">'+alias2(alias3((stack1=depth0!=null?depth0.data:depth0)!=null?stack1.title:stack1,depth0))+'</h5>\r\n                <button type="button" class="close" data-dismiss="modal" aria-label="Close">\r\n                    <span aria-hidden="true">&times;</span>\r\n                </button>\r\n            </div>\r\n            <div class="modal-body">\r\n                <div class="row">\r\n                    <div class="col-md-12">\r\n                        <b><div class="modal-msg">'+alias2(alias3((stack1=depth0!=null?depth0.data:depth0)!=null?stack1.message:stack1,depth0))+'</div></b>\r\n                    </div>\r\n                </div>\r\n            </div>\r\n            <div class="modal-footer">\r\n'+((stack1=helpers["if"].call(alias1,(stack1=(stack1=depth0!=null?depth0.data:depth0)!=null?stack1.confirmOptions:stack1)!=null?stack1.isConfirm:stack1,{name:"if",hash:{},fn:container.program(1,data,0),inverse:container.noop,data:data}))!=null?stack1:"")+'                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>\r\n            </div>\r\n        </div>\r\n    </div>\r\n</div>'},useData:true});templates["adhara-list"]=template({1:function(container,depth0,helpers,partials,data){var stack1;return'            <button style="display: inline-block; float: left;" class="btn btn-sm btn-primary">Add new '+container.escapeExpression(container.lambda((stack1=depth0!=null?depth0.config:depth0)!=null?stack1.title:stack1,depth0))+"</button>\r\n"},3:function(container,depth0,helpers,partials,data){return'            <button style="display: inline-block; float: right; margin: 0 2px;" class="btn btn-sm btn-dark prev">prev</button>\r\n            <button style="display: inline-block; float: left; margin: 0 2px;" class="btn btn-sm btn-info">next</button>\r\n'},5:function(container,depth0,helpers,partials,data,blockParams,depths){var stack1;return'                <tr adhara-datum-row="'+container.escapeExpression(container.lambda(blockParams[0][1],depth0))+'">\r\n'+((stack1=helpers.each.call(depth0!=null?depth0:container.nullContext||{},(stack1=depths[1]!=null?depths[1].config:depths[1])!=null?stack1.columns:stack1,{name:"each",hash:{},fn:container.program(6,data,2,blockParams,depths),inverse:container.noop,data:data,blockParams:blockParams}))!=null?stack1:"")+"                </tr>\r\n"},6:function(container,depth0,helpers,partials,data,blockParams){var stack1,alias1=depth0!=null?depth0:container.nullContext||{},alias2=container.escapeExpression,alias3=container.lambda;return"                        "+alias2((helpers.console_log||depth0&&depth0.console_log||helpers.helperMissing).call(alias1,blockParams[1][0],blockParams[0][0],{name:"console_log",hash:{},data:data,blockParams:blockParams}))+'\r\n                        <td adhara-datum-col="'+alias2(alias3(blockParams[1][1],depth0))+"-"+alias2(alias3(blockParams[0][0],depth0))+'">\r\n'+((stack1=helpers["if"].call(alias1,(stack1=blockParams[0][0])!=null?stack1.trust_as_html:stack1,{name:"if",hash:{},fn:container.program(7,data,0,blockParams),inverse:container.program(9,data,0,blockParams),data:data,blockParams:blockParams}))!=null?stack1:"")+"                        </td>\r\n"},7:function(container,depth0,helpers,partials,data,blockParams){var stack1;return"                                "+((stack1=(helpers.get||depth0&&depth0.get||helpers.helperMissing).call(depth0!=null?depth0:container.nullContext||{},blockParams[2][0],(stack1=blockParams[1][0])!=null?stack1.name:stack1,{name:"get",hash:{},data:data,blockParams:blockParams}))!=null?stack1:"")+"\r\n"},9:function(container,depth0,helpers,partials,data,blockParams){var stack1;return"                                "+container.escapeExpression((helpers.get||depth0&&depth0.get||helpers.helperMissing).call(depth0!=null?depth0:container.nullContext||{},blockParams[2][0],(stack1=blockParams[1][0])!=null?stack1.name:stack1,{name:"get",hash:{},data:data,blockParams:blockParams}))+"\r\n"},compiler:[7,">= 4.0.0"],main:function(container,depth0,helpers,partials,data,blockParams,depths){var stack1,alias1=container.lambda,alias2=container.escapeExpression,alias3=depth0!=null?depth0:container.nullContext||{},alias4=helpers.helperMissing;return'<div id="adharaTable_'+alias2(alias1((stack1=depth0!=null?depth0.config:depth0)!=null?stack1.title:stack1,depth0))+'" class="adhara-table-container">\r\n    <div>\r\n        <h3>'+alias2(alias1((stack1=depth0!=null?depth0.config:depth0)!=null?stack1.title:stack1,depth0))+"</h3>\r\n    </div>\r\n    <div>\r\n"+((stack1=helpers["if"].call(alias3,(stack1=depth0!=null?depth0.config:depth0)!=null?stack1.add_new:stack1,{name:"if",hash:{},fn:container.program(1,data,0,blockParams,depths),inverse:container.noop,data:data,blockParams:blockParams}))!=null?stack1:"")+((stack1=helpers["if"].call(alias3,(stack1=depth0!=null?depth0.config:depth0)!=null?stack1.nav:stack1,{name:"if",hash:{},fn:container.program(3,data,0,blockParams,depths),inverse:container.noop,data:data,blockParams:blockParams}))!=null?stack1:"")+'    </div>\r\n    <div class="adhara-table-wrapper">\r\n        <table class="table table-bordered table-hover">\r\n            <thead>\r\n            <tr>\r\n                '+alias2((helpers.include||depth0&&depth0.include||alias4).call(alias3,depth0!=null?depth0.itemTemplate:depth0,(helpers.make_json||depth0&&depth0.make_json||alias4).call(alias3,(helpers.append||depth0&&depth0.append||alias4).call(alias3,'{"__header":true, data:',depth0!=null?depth0.data:depth0,"}",{name:"append",hash:{},data:data,blockParams:blockParams}),{name:"make_json",hash:{},data:data,blockParams:blockParams}),{name:"include",hash:{},data:data,blockParams:blockParams}))+"\r\n            </tr>\r\n            </thead>\r\n            <tbody>\r\n"+((stack1=helpers.each.call(alias3,depth0!=null?depth0.data:depth0,{name:"each",hash:{},fn:container.program(5,data,2,blockParams,depths),inverse:container.noop,data:data,blockParams:blockParams}))!=null?stack1:"")+"            </tbody>\r\n        </table>\r\n    </div>\r\n</div>"},useData:true,useDepths:true,useBlockParams:true});templates["adhara-table"]=template({1:function(container,depth0,helpers,partials,data){var stack1;return'            <button style="display: inline-block; float: left;" class="btn btn-sm btn-primary">Add new '+container.escapeExpression(container.lambda((stack1=depth0!=null?depth0.config:depth0)!=null?stack1.title:stack1,depth0))+"</button>\r\n"},3:function(container,depth0,helpers,partials,data,blockParams){var stack1;return"                    <th>"+container.escapeExpression(container.lambda((stack1=blockParams[0][0])!=null?stack1.display_name:stack1,depth0))+"</th>\r\n"},5:function(container,depth0,helpers,partials,data,blockParams,depths){var stack1;return'                <tr adhara-datum-row="'+container.escapeExpression(container.lambda(blockParams[0][1],depth0))+'">\r\n'+((stack1=helpers.each.call(depth0!=null?depth0:container.nullContext||{},(stack1=depths[1]!=null?depths[1].config:depths[1])!=null?stack1.columns:stack1,{name:"each",hash:{},fn:container.program(6,data,2,blockParams,depths),inverse:container.noop,data:data,blockParams:blockParams}))!=null?stack1:"")+"                </tr>\r\n"},6:function(container,depth0,helpers,partials,data,blockParams){var stack1,alias1=container.lambda,alias2=container.escapeExpression;return'                        <td adhara-datum-col="'+alias2(alias1(blockParams[1][1],depth0))+"-"+alias2(alias1((stack1=blockParams[0][0])!=null?stack1.name:stack1,depth0))+'">\r\n'+((stack1=helpers["if"].call(depth0!=null?depth0:container.nullContext||{},(stack1=blockParams[0][0])!=null?stack1.trust_as_html:stack1,{name:"if",hash:{},fn:container.program(7,data,0,blockParams),inverse:container.program(9,data,0,blockParams),data:data,blockParams:blockParams}))!=null?stack1:"")+"                        </td>\r\n"},7:function(container,depth0,helpers,partials,data,blockParams){var stack1;return"                                "+((stack1=(helpers.get||depth0&&depth0.get||helpers.helperMissing).call(depth0!=null?depth0:container.nullContext||{},blockParams[2][0],(stack1=blockParams[1][0])!=null?stack1.name:stack1,{name:"get",hash:{},data:data,blockParams:blockParams}))!=null?stack1:"")+"\r\n"},9:function(container,depth0,helpers,partials,data,blockParams){var stack1;return"                                "+container.escapeExpression((helpers.get||depth0&&depth0.get||helpers.helperMissing).call(depth0!=null?depth0:container.nullContext||{},blockParams[2][0],(stack1=blockParams[1][0])!=null?stack1.name:stack1,{name:"get",hash:{},data:data,blockParams:blockParams}))+"\r\n"},11:function(container,depth0,helpers,partials,data){return'        <button style="display: inline-block; margin: 0 2px;" class="btn btn-sm btn-link">previous</button>\r\n        <button style="display: inline-block; margin: 0 2px;" class="btn btn-sm btn-link">next</button>\r\n'},compiler:[7,">= 4.0.0"],main:function(container,depth0,helpers,partials,data,blockParams,depths){var stack1,alias1=container.lambda,alias2=container.escapeExpression,alias3=depth0!=null?depth0:container.nullContext||{};return'<div id="adharaTable_'+alias2(alias1((stack1=depth0!=null?depth0.config:depth0)!=null?stack1.title:stack1,depth0))+'" class="adhara-table-container">\r\n    <div>\r\n        <h3>'+alias2(alias1((stack1=depth0!=null?depth0.config:depth0)!=null?stack1.title:stack1,depth0))+"</h3>\r\n    </div>\r\n    <div>\r\n"+((stack1=helpers["if"].call(alias3,(stack1=depth0!=null?depth0.config:depth0)!=null?stack1.add_new:stack1,{name:"if",hash:{},fn:container.program(1,data,0,blockParams,depths),inverse:container.noop,data:data,blockParams:blockParams}))!=null?stack1:"")+'    </div>\r\n    <div class="adhara-table-wrapper">\r\n        <table class="table table-bordered table-hover">\r\n            <thead>\r\n            <tr>\r\n'+((stack1=helpers.each.call(alias3,(stack1=depth0!=null?depth0.config:depth0)!=null?stack1.columns:stack1,{name:"each",hash:{},fn:container.program(3,data,2,blockParams,depths),inverse:container.noop,data:data,blockParams:blockParams}))!=null?stack1:"")+"            </tr>\r\n            </thead>\r\n            <tbody>\r\n"+((stack1=helpers.each.call(alias3,depth0!=null?depth0.data:depth0,{name:"each",hash:{},fn:container.program(5,data,2,blockParams,depths),inverse:container.noop,data:data,blockParams:blockParams}))!=null?stack1:"")+'            </tbody>\r\n        </table>\r\n    </div>\r\n    <div class="adhara-table-nav pull-right">\r\n'+((stack1=helpers["if"].call(alias3,(stack1=depth0!=null?depth0.config:depth0)!=null?stack1.nav:stack1,{name:"if",hash:{},fn:container.program(11,data,0,blockParams,depths),inverse:container.noop,data:data,blockParams:blockParams}))!=null?stack1:"")+"    </div>\r\n</div>"},useData:true,useDepths:true,useBlockParams:true})})();"use strict";var _createClass=function(){function defineProperties(target,props){for(var i=0;i<props.length;i++){var descriptor=props[i];descriptor.enumerable=descriptor.enumerable||false;descriptor.configurable=true;if("value"in descriptor)descriptor.writable=true;Object.defineProperty(target,descriptor.key,descriptor)}}return function(Constructor,protoProps,staticProps){if(protoProps)defineProperties(Constructor.prototype,protoProps);if(staticProps)defineProperties(Constructor,staticProps);return Constructor}}();function _classCallCheck(instance,Constructor){if(!(instance instanceof Constructor)){throw new TypeError("Cannot call a class as a function")}}var AdharaView=function(){function AdharaView(parentViewInstance){_classCallCheck(this,AdharaView);this.parentView=parentViewInstance;Adhara.instances[this.constructor.name]=this;this._data=null}_createClass(AdharaView,[{key:"fetchData",value:function fetchData(){this.handleDataChange()}},{key:"handleDataChange",value:function handleDataChange(new_data){this.dataChange(new_data);this.render()}},{key:"dataChange",value:function dataChange(new_data){this._data=new_data}},{key:"_getHTML",value:function _getHTML(template){return HandlebarUtils.execute(template||this.template,this)}},{key:"_getParentContainer",value:function _getParentContainer(){var container=this.parentView.contentContainer;if(typeof container==="string"){return container}return container[this.constructor.name]}},{key:"render",value:function render(){var container=document.querySelector(this._getParentContainer());container.innerHTML=this._getHTML();setTimeout(this.format(container),0);this.renderSubViews()}},{key:"renderSubViews",value:function renderSubViews(){var _iteratorNormalCompletion=true;var _didIteratorError=false;var _iteratorError=undefined;try{for(var _iterator=this.subViews[Symbol.iterator](),_step;!(_iteratorNormalCompletion=(_step=_iterator.next()).done);_iteratorNormalCompletion=true){var sub_view=_step.value;Adhara.createView(Adhara.getView(sub_view,this))}}catch(err){_didIteratorError=true;_iteratorError=err}finally{try{if(!_iteratorNormalCompletion&&_iterator.return){_iterator.return()}}finally{if(_didIteratorError){throw _iteratorError}}}}},{key:"format",value:function format(container){}},{key:"data",get:function get(){return this._data||{}}},{key:"template",get:function get(){if(AdharaRouter.getCurrentPageName()){return AdharaRouter.getCurrentPageName().replace(/_/g,"-")}else{var className=this.constructor.name.toLowerCase();if(className.endsWith("view")){return className.slice(0,className.length-4)}else{return className}}}},{key:"contentContainer",get:function get(){throw new Error("implement this method")}},{key:"subViews",get:function get(){return[]}}]);return AdharaView}();"use strict";var _createClass=function(){function defineProperties(target,props){for(var i=0;i<props.length;i++){var descriptor=props[i];descriptor.enumerable=descriptor.enumerable||false;descriptor.configurable=true;if("value"in descriptor)descriptor.writable=true;Object.defineProperty(target,descriptor.key,descriptor)}}return function(Constructor,protoProps,staticProps){if(protoProps)defineProperties(Constructor.prototype,protoProps);if(staticProps)defineProperties(Constructor,staticProps);return Constructor}}();function _classCallCheck(instance,Constructor){if(!(instance instanceof Constructor)){throw new TypeError("Cannot call a class as a function")}}function _possibleConstructorReturn(self,call){if(!self){throw new ReferenceError("this hasn't been initialised - super() hasn't been called")}return call&&(typeof call==="object"||typeof call==="function")?call:self}function _inherits(subClass,superClass){if(typeof superClass!=="function"&&superClass!==null){throw new TypeError("Super expression must either be null or a function, not "+typeof superClass)}subClass.prototype=Object.create(superClass&&superClass.prototype,{constructor:{value:subClass,enumerable:false,writable:true,configurable:true}});if(superClass)Object.setPrototypeOf?Object.setPrototypeOf(subClass,superClass):subClass.__proto__=superClass}var AdharaContainerView=function(_AdharaView){_inherits(AdharaContainerView,_AdharaView);function AdharaContainerView(){_classCallCheck(this,AdharaContainerView);return _possibleConstructorReturn(this,(AdharaContainerView.__proto__||Object.getPrototypeOf(AdharaContainerView)).apply(this,arguments))}_createClass(AdharaContainerView,[{key:"_getParentContainer",value:function _getParentContainer(){return Adhara.app.DOMSelector}},{key:"template",get:function get(){return"container"}},{key:"contentContainer",get:function get(){return"main"}},{key:"data",get:function get(){return{app_name:Adhara.app.name,detailed_app_name:Adhara.app.detailedName,tag_line:Adhara.app.tagLine}}}]);return AdharaContainerView}(AdharaView);"use strict";var RestAPI={};(function(){RestAPI.error_codes={not_found:404};RestAPI.getCookie=function(name){var cookieValue=null;if(document.cookie&&document.cookie!==""){var cookies=document.cookie.split(";");for(var i=0;i<cookies.length;i++){var cookie=jQuery.trim(cookies[i]);if(cookie.substring(0,name.length+1)===name+"="){cookieValue=decodeURIComponent(cookie.substring(name.length+1));break}}}return cookieValue};RestAPI.getHeaders=function(){return{"X-CSRFToken":RestAPI.getCookie("csrftoken")}};RestAPI.handle_api_success=function(fns,fne,d,s,x,toastFailure,successMessage){if(s==="nocontent"){return}if(s==="success"){if(x.getResponseHeader("Content-Disposition")){return call_fn(fns,d,s,x)}else{if(typeof d==="string"){d=JSON.parse(d)}if(d.status==="success"){if(successMessage&&successMessage!==""){Toast.success(successMessage)}return call_fn(fns,d.data)}}}if(toastFailure!==false){Toast.error(d.message)}call_fn(fne,d.message)};RestAPI.handle_api_failure=function(fne,x,s,e){if(x.readyState===0&&x.status===0&&e===""){e="Unable to connect to server"}call_fn(fne,e);if(x.responseText){return Toast.error(e+"\n"+x.responseText)}Toast.error(e)};RestAPI.post=function(o){o.type="post";send(o)};RestAPI.get=function(o){o.type="get";send(o)};RestAPI.put=function(o){o.type="put";send(o)};RestAPI.patch=function(o){o.type="patch";send(o)};RestAPI.delete=function(o){o.type="delete";send(o)};function formatURL(url){var base=Adhara.app?Adhara.app.apiServerURL:"/";if(base.lastIndexOf("/")+1!==base.length){base+="/"}if(url.indexOf("/")===0){url=url.substring(1)}return base+url}function send(o){o.url=formatURL(o.url);var fns=o.success;var fnf=o.failure;o.success=function(d,s,x){RestAPI.handle_api_success(fns,fnf,d,s,x,o.handleError,o.successMessage)};o.error=function(x,s,e){RestAPI.handle_api_failure(fnf,x,s,e)};o.headers=RestAPI.getHeaders();if(o.data instanceof FormData){multipart(o)}else{ajax(o)}}function ajax(o){if(o.data instanceof Object){if(!Object.keys(o.data).length){delete o.data}else{o.data=JSON.stringify(o.data)}}if(o.type==="get"||o.type==="patch"||o.type==="post"){if(o.type==="get"){if(o.data){o.data={data:o.data}}}}o.headers["Content-Type"]="application/json";jQuery.ajax(o)}function multipart(o){var xhr=new XMLHttpRequest;xhr.open(o.type.toUpperCase(),o.url);loop(o.headers,function(header,value){xhr.setRequestHeader(header,value)});xhr.onreadystatechange=function(){if(xhr.readyState===XMLHttpRequest.DONE){if(xhr.status===200){o.success(xhr.responseText,"success",xhr)}else{o.error(xhr,"error","Multipart upload error")}}};xhr.send(o.data)}})();"use strict";var _createClass=function(){function defineProperties(target,props){for(var i=0;i<props.length;i++){var descriptor=props[i];descriptor.enumerable=descriptor.enumerable||false;descriptor.configurable=true;if("value"in descriptor)descriptor.writable=true;Object.defineProperty(target,descriptor.key,descriptor)}}return function(Constructor,protoProps,staticProps){if(protoProps)defineProperties(Constructor.prototype,protoProps);if(staticProps)defineProperties(Constructor,staticProps);return Constructor}}();function _classCallCheck(instance,Constructor){if(!(instance instanceof Constructor)){throw new TypeError("Cannot call a class as a function")}}function _possibleConstructorReturn(self,call){if(!self){throw new ReferenceError("this hasn't been initialised - super() hasn't been called")}return call&&(typeof call==="object"||typeof call==="function")?call:self}function _inherits(subClass,superClass){if(typeof superClass!=="function"&&superClass!==null){throw new TypeError("Super expression must either be null or a function, not "+typeof superClass)}subClass.prototype=Object.create(superClass&&superClass.prototype,{constructor:{value:subClass,enumerable:false,writable:true,configurable:true}});if(superClass)Object.setPrototypeOf?Object.setPrototypeOf(subClass,superClass):subClass.__proto__=superClass}var AdharaTableView=function(_AdharaListView){_inherits(AdharaTableView,_AdharaListView);function AdharaTableView(){_classCallCheck(this,AdharaTableView);return _possibleConstructorReturn(this,(AdharaTableView.__proto__||Object.getPrototypeOf(AdharaTableView)).apply(this,arguments))}_createClass(AdharaTableView,[{key:"config",get:function get(){return{title:"Adhara Table",add_new:false,nav:false,columns:[]}}},{key:"template",get:function get(){return"adhara-table"}}]);return AdharaTableView}(AdharaListView);"use strict";var _createClass=function(){function defineProperties(target,props){for(var i=0;i<props.length;i++){var descriptor=props[i];descriptor.enumerable=descriptor.enumerable||false;descriptor.configurable=true;if("value"in descriptor)descriptor.writable=true;Object.defineProperty(target,descriptor.key,descriptor)}}return function(Constructor,protoProps,staticProps){if(protoProps)defineProperties(Constructor.prototype,protoProps);if(staticProps)defineProperties(Constructor,staticProps);return Constructor}}();function _classCallCheck(instance,Constructor){if(!(instance instanceof Constructor)){throw new TypeError("Cannot call a class as a function")}}function _possibleConstructorReturn(self,call){if(!self){throw new ReferenceError("this hasn't been initialised - super() hasn't been called")}return call&&(typeof call==="object"||typeof call==="function")?call:self}function _inherits(subClass,superClass){if(typeof superClass!=="function"&&superClass!==null){throw new TypeError("Super expression must either be null or a function, not "+typeof superClass)}subClass.prototype=Object.create(superClass&&superClass.prototype,{constructor:{value:subClass,enumerable:false,writable:true,configurable:true}});if(superClass)Object.setPrototypeOf?Object.setPrototypeOf(subClass,superClass):subClass.__proto__=superClass}var AdharaDialogView=function(_AdharaView){_inherits(AdharaDialogView,_AdharaView);function AdharaDialogView(){_classCallCheck(this,AdharaDialogView);return _possibleConstructorReturn(this,(AdharaDialogView.__proto__||Object.getPrototypeOf(AdharaDialogView)).apply(this,arguments))}_createClass(AdharaDialogView,[{key:"render",value:function render(){var template=document.querySelector(this._getParentContainer());if(!template){template=this._getHTML();var wrapper=document.createElement("div");wrapper.innerHTML=template;document.querySelector("body").appendChild(wrapper)}$("#adharaDialog").modal("show")}},{key:"hide",value:function hide(){$("#adharaDialog").modal("hide")}},{key:"data",get:function get(){return{title:"Adhara Dialog",message:"Adhara Dialog Message!!!!!!!!",confirmOptions:{isConfirm:false}}}},{key:"template",get:function get(){return"adhara-dialog"}},{key:"modalId",get:function get(){return"adhara-dialog-id-"+Date.now()}}]);return AdharaDialogView}(AdharaView);